That would be up to the distro. KDE maintains a patch set for QT5, and its up to distros to then take that and build/package it.